## laptop-mode-tools 1.71

=== debian/changelog ===
laptop-mode-tools (1.71-2ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not ship obsolete acpi/apm scripts in rules file.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 22 May 2017 14:51:49 +0530

laptop-mode-tools (1.71-2) unstable; urgency=medium

  * Backport patch from upstream. fix-iw-txpower-issue.patch
    This fixes syntax errors with the newer 'iw' command
    Thanks: Rowan Thorpe (Closes: #862975)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 22 May 2017 02:20:16 +0545

laptop-mode-tools (1.71-1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not ship obsolete acpi/apm scripts in rules file.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 23 Apr 2017 08:42:42 +0530

laptop-mode-tools (1.71-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * [976be20] Fix incorrect import of os.putenv

  [ Aliaksey Artamonau ]
  * [709297e] cpuhotplug: remove unnecessary semicolons
  * [5bc862e] cpuhotplug: use tabs for indentation everywhere
  * [85df2ef] cpuhotplug: allow disabling specific cpus


  [ Matthias Kaehlcke ]
  * [8709399] runtime-pm: refactor listed_by_id()
  * [bfe29fd] wireless-power: Use iw and fallback to iwconfig if it not
    available
  * [f47bee1] Prefer available AC supply information over battery state
    to determine ON_AC
  * [97a456d] runtime-pm: Refactor list_by_type()

  [ Ritesh Raj Sarraf ]
  * [904b072] Fix documentation on where we read battery capacity from.
    Thanks to github/blag, github/carbohydratesn
  * [847ad92] Update README.md
  * [b864b5d] Add verbose message on top of Matthias's change
  * [49bdb7f] On startup, we want to force the full execution of LMT.
    Because there could be many devices that discover slow. From them,
    this invocation will have given enough time to initialize.
    Secondly, LMT could have been invoked way too early during boot,
    by udev. In such cases, we'd have enough delta for it to act in
    force mode
  * [f4d6b93] auto only takes care of power state changes. Device
    hotplugs need a forced execution for LMT to apply the proper
    settings
  * [515c086] kbd-backlight: New module to control keyboard backlight
    brightness. Thanks to Roman V. Nikolaev (github/rshadow)
  * [bca28ce] Include Transmit power saving in wireless cards.
    Thanks to Roman V. Nikolaev (github/rshadow)
  * [7ef0ab6] Try harder to check battery charge
  * [b156605] New module: vgaswitcheroo.
    Thanks to Roman V. Nikolaev
  * [b1a3be6] Revive bluetooth module. Use rfkill primarily.
    Also don't unload (incomplete list of) kernel modules

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 12 Jan 2017 19:17:14 +0530

=== debian/control ===
Source: laptop-mode-tools
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Homepage: http://github.com/rickysarraf/laptop-mode-tools
Uploaders: Bart Samwel <bart@samwel.tk>
Build-Depends: debhelper (>= 9), dh-systemd
Standards-Version: 3.9.8

Package: laptop-mode-tools
Architecture: all
Depends: ${misc:Depends}, lsb-base (>= 3.0-10), util-linux (>= 2.13), psmisc
Recommends: hdparm, sdparm, ethtool, net-tools, wireless-tools, udev, python-qt4
Suggests: acpid | apmd | pbbuttonsd | pmud
Conflicts: noflushd
Description: Tools for Power Savings based on battery/AC status
 Laptop mode is a Linux kernel feature that allows your laptop to save 
 considerable power, by allowing the hard drive to spin down for longer 
 periods of time. This package contains the userland scripts that are 
 needed to enable laptop mode.
 .
 It includes support for automatically enabling laptop mode when the
 computer is working on batteries. It also supports various other power
 management features, such as starting and stopping daemons depending on
 power mode, automatically hibernating if battery levels are too low, and
 adjusting terminal blanking and X11 screen blanking
 .
 laptop-mode-tools uses the Linux kernel's Laptop Mode feature and thus
 is also used on Desktops and Servers to conserve power

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Based on a sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modifications Copyright 2008 by Bart Samwel

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	uscan --force-download --rename --repack\
		--download-version=$(DEB_UPSTREAM_VERSION) --destdir=.

configure: configure-stamp
configure-stamp:
	dh_testdir
	
	# Nothing to do.
	
	touch configure-stamp


build: build-arch build-indep
	
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	cp etc/init.d/laptop-mode debian/laptop-mode-tools.laptop-mode.init
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f debian/laptop-mode-tools.laptop-mode.init
	rm -f build-stamp configure-stamp
	dh_clean 

DESTDIR=$(CURDIR)/debian/laptop-mode-tools

INSTALL=install -o root -g root

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/laptop-mode-tools.
	install -m755 -d $(DESTDIR)/etc/laptop-mode
	install -m755 -d $(DESTDIR)/usr/sbin
	install -m755 -d $(DESTDIR)/usr/share/applications
	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/modules
	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
	install -m755 -d $(DESTDIR)/usr/lib/tmpfiles.d
	install -m755 -d $(DESTDIR)/etc/power/scripts.d
	install -m755 -d $(DESTDIR)/etc/power/event.d
	install -m755 -d $(DESTDIR)/lib/udev/rules.d
	install -m755 -d $(DESTDIR)/lib/systemd/system
	install -m755 -d $(DESTDIR)/usr/lib/pm-utils/sleep.d
	install -m755 -d $(DESTDIR)/etc/laptop-mode/batt-start
	install -m755 -d $(DESTDIR)/etc/laptop-mode/batt-stop
	install -m755 -d $(DESTDIR)/etc/laptop-mode/lm-ac-start
	install -m755 -d $(DESTDIR)/etc/laptop-mode/lm-ac-stop
	install -m755 -d $(DESTDIR)/etc/laptop-mode/nolm-ac-start
	install -m755 -d $(DESTDIR)/etc/laptop-mode/nolm-ac-stop
	install -m755 -d $(DESTDIR)/etc/laptop-mode/conf.d
	install -m755 -d $(DESTDIR)/etc/laptop-mode/modules
	install -m644 etc/laptop-mode/laptop-mode.conf $(DESTDIR)/etc/laptop-mode/laptop-mode.conf
	install -m644 etc/laptop-mode/conf.d/* $(DESTDIR)/etc/laptop-mode/conf.d
	install -m755 etc/power/scripts.d/* $(DESTDIR)/etc/power/scripts.d
	install -m755 etc/power/event.d/* $(DESTDIR)/etc/power/event.d
	install -m644 etc/rules/99-laptop-mode.rules $(DESTDIR)/lib/udev/rules.d
	install -m755 etc/rules/lmt-udev $(DESTDIR)/lib/udev/lmt-udev
	install -m644 etc/systemd/laptop-mode.service $(DESTDIR)/lib/systemd/system/laptop-mode.service
	install -m644 etc/systemd/laptop-mode.timer $(DESTDIR)/lib/systemd/system/laptop-mode.timer
	install -m644 etc/systemd/lmt-poll.service $(DESTDIR)/lib/systemd/system/lmt-poll.service
	install -m644 etc/systemd/laptop-mode.conf.tmpfiles $(DESTDIR)/usr/lib/tmpfiles.d/laptop-mode.conf
	install -m755 usr/lib/pm-utils/sleep.d/* $(DESTDIR)/usr/lib/pm-utils/sleep.d
	install -m755 usr/sbin/laptop_mode $(DESTDIR)/usr/sbin
	install -m755 usr/sbin/lm-syslog-setup $(DESTDIR)/usr/sbin
	install -m755 usr/sbin/lm-profiler $(DESTDIR)/usr/sbin
	install -m755 usr/share/laptop-mode-tools/modules/* $(DESTDIR)/usr/share/laptop-mode-tools/modules
	install -m755 usr/share/laptop-mode-tools/module-helpers/* $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
	install -m755 gui/lmt-config-gui $(DESTDIR)/usr/sbin/lmt-config-gui
	install -m644 gui/LMT.py $(DESTDIR)/usr/share/laptop-mode-tools/lmt.py
	install -m644 gui/laptop-mode-tools.desktop $(DESTDIR)/usr/share/applications/
	install -m644 usr/share/polkit-1/actions/org.linux.lmt.gui.policy $(DESTDIR)/usr/share/polkit-1/actions/

# Build architecture-independent files here.
binary-arch: build install

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Documentation/revision-history.txt
	dh_installdocs
	dh_installinit --name laptop-mode -- defaults 99
	dh_systemd_enable
	dh_systemd_start
	dh_installman man/*
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## laptop-mode-tools 1.72

=== debian/changelog ===
laptop-mode-tools (1.72-3) unstable; urgency=medium

  * Set SATA link power policy to med_power_with_dipm.
    Thanks to Tomas Ebenlendr (Closes: #913200)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 08 Nov 2018 11:56:41 +0530

laptop-mode-tools (1.72-2) unstable; urgency=medium

  * Add patch to extend default blacklist of devices

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 03 Feb 2018 21:52:03 +0530

laptop-mode-tools (1.72-1) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * Document the new lmt-poll.service and lmt-poll.timer
  * Drop patches, merged upstream
  * Bump build depend to versioned debhelper
  * Use secure uri for project homepage
  * Use debhelper compat level 11
  * Update debian/watch to new project home
  * Use dh_installsystemd with compat level 11
  * Use versioned depends on debhelper
  * Use dpkg's feature to determine source version

  New Upstream Release
  * Switch to PyQt5 and Python3
  * Add btrfs to list of filesystems for which we can set commit interval
  * Add pkexec invocation script
  * Add desktop file to upstream repo and invoke script
  * Update installer to includes gui wrappers
  * Install new SVG pixmap
  * Control all available cards in radeon-dpm
  * Prefer to use the new runtime pm autosuspend_delay_ms interface
  * tolerate broken device interfaces quietly
  * runtime-pm: Make {black,white}lists work with non-USB devices
  * send echo errors to verbose log
  * Extend blacklist by device types of devtype

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 02 Feb 2018 11:46:17 +0530

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
+include /usr/share/dpkg/pkg-info.mk
+DEB_UPSTREAM_VERSION  = $(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
+
 get-orig-source:
 	uscan --force-download --rename --repack\
 		--download-version=$(DEB_UPSTREAM_VERSION) --destdir=.
@@ -50,11 +52,15 @@
 
 	# Add here commands to install the package into debian/laptop-mode-tools.
 	install -m755 -d $(DESTDIR)/etc/laptop-mode
+	install -m755 -d $(DESTDIR)/etc/acpi/events
+	install -m755 -d $(DESTDIR)/etc/acpi/actions
 	install -m755 -d $(DESTDIR)/usr/sbin
 	install -m755 -d $(DESTDIR)/usr/share/applications
+	install -m755 -d $(DESTDIR)/usr/share/pixmaps
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/modules
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
 	install -m755 -d $(DESTDIR)/usr/lib/tmpfiles.d
+	install -m755 -d $(DESTDIR)/etc/apm/event.d
 	install -m755 -d $(DESTDIR)/etc/power/scripts.d
 	install -m755 -d $(DESTDIR)/etc/power/event.d
 	install -m755 -d $(DESTDIR)/lib/udev/rules.d
@@ -70,6 +76,9 @@
 	install -m755 -d $(DESTDIR)/etc/laptop-mode/modules
 	install -m644 etc/laptop-mode/laptop-mode.conf $(DESTDIR)/etc/laptop-mode/laptop-mode.conf
 	install -m644 etc/laptop-mode/conf.d/* $(DESTDIR)/etc/laptop-mode/conf.d
+	install -m755 etc/acpi/actions/* $(DESTDIR)/etc/acpi/actions
+	install -m644 etc/acpi/events/* $(DESTDIR)/etc/acpi/events
+	install -m755 etc/apm/event.d/* $(DESTDIR)/etc/apm/event.d
 	install -m755 etc/power/scripts.d/* $(DESTDIR)/etc/power/scripts.d
 	install -m755 etc/power/event.d/* $(DESTDIR)/etc/power/event.d
 	install -m644 etc/rules/99-laptop-mode.rules $(DESTDIR)/lib/udev/rules.d
@@ -85,8 +94,11 @@
 	install -m755 usr/share/laptop-mode-tools/modules/* $(DESTDIR)/usr/share/laptop-mode-tools/modules
 	install -m755 usr/share/laptop-mode-tools/module-helpers/* $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
 	install -m755 gui/lmt-config-gui $(DESTDIR)/usr/sbin/lmt-config-gui
+	install -m755 gui/lmt-config-gui-pkexec $(DESTDIR)/usr/sbin/lmt-config-gui-pkexec
 	install -m644 gui/LMT.py $(DESTDIR)/usr/share/laptop-mode-tools/lmt.py
+	install -m644 gui/laptop-mode-tools.svg $(DESTDIR)/usr/share/pixmaps/
 	install -m644 gui/laptop-mode-tools.desktop $(DESTDIR)/usr/share/applications/
+	install -m644 gui/laptop-mode-tools.svg $(DESTDIR)/usr/share/pixmaps/
 	install -m644 usr/share/polkit-1/actions/org.linux.lmt.gui.policy $(DESTDIR)/usr/share/polkit-1/actions/
 
 # Build architecture-independent files here.
@@ -99,8 +111,7 @@
 	dh_installchangelogs Documentation/revision-history.txt
 	dh_installdocs
 	dh_installinit --name laptop-mode -- defaults 99
-	dh_systemd_enable
-	dh_systemd_start
+	dh_installsystemd
 	dh_installman man/*
 	dh_lintian
 	dh_compress

## laptop-mode-tools 1.72.3+r28

=== debian/changelog ===
laptop-mode-tools (1.72.3+r28-1) unstable; urgency=low

  * ['Autobuild release-candidate: 5ce154db673b0e9de9b1b2581bbaed133746baa0']

 -- shuttle <shuttle@deepin.com>  Sat, 03 Aug 2019 16:29:15 +0000

=== debian/rules ===
--- 
+++ 
@@ -95,7 +95,7 @@
 	install -m755 usr/share/laptop-mode-tools/module-helpers/* $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
 	install -m755 gui/lmt-config-gui $(DESTDIR)/usr/sbin/lmt-config-gui
 	install -m755 gui/lmt-config-gui-pkexec $(DESTDIR)/usr/sbin/lmt-config-gui-pkexec
-	install -m644 gui/LMT.py $(DESTDIR)/usr/share/laptop-mode-tools/lmt.py
+	install -m644 gui/lmt.py $(DESTDIR)/usr/share/laptop-mode-tools/lmt.py
 	install -m644 gui/laptop-mode-tools.svg $(DESTDIR)/usr/share/pixmaps/
 	install -m644 gui/laptop-mode-tools.desktop $(DESTDIR)/usr/share/applications/
 	install -m644 gui/laptop-mode-tools.svg $(DESTDIR)/usr/share/pixmaps/

## laptop-mode-tools 1.73.1

=== debian/changelog ===
laptop-mode-tools (1.73.1-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not ship obsolete acpi/apm scripts in rules file.

 -- Rik Mills <rikmills@kde.org>  Fri, 06 Mar 2020 14:06:00 +0000

laptop-mode-tools (1.73.1-2) unstable; urgency=medium

  * Disable ethernet module, by default, and let the user
    explicitly enable it

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 26 Feb 2020 23:18:13 +0530

laptop-mode-tools (1.73.1-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not ship obsolete acpi/apm scripts in rules file.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Feb 2020 11:39:30 +0000

laptop-mode-tools (1.73.1-1) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * Return the cpu governor string from the function
  * Update spec file

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 11 Jan 2020 17:21:41 +0530

laptop-mode-tools (1.73-1) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * Fix spelling errors in tooltip message.
    Thanks to Alec Wright (Closes: #909783)
  * Battery Level Polling on systemd based system is lmt-poll timer
  * Add newer power supply names
  * New Upstream Release 1.73

  [ Tomas Janousek ]
  * runtime-pm: Simplify vendor/product match
  * runtime-pm: Speed up by avoiding fork in listed_by_{id,type}
  * runtime-pm: Fix echo_to_file* indentation
  * runtime-pm: Inline echo_to_file_do
  * runtime-pm: Speed up by avoiding fork in echo_to_file
  * runtime-pm: Avoid bashisms

  [ Elvis Pranskevichus ]
  * cpufreq: intel_pstate should use performance governors

  [ Hualet Wang ]
  * cpufreq: make cpufreq work out of box on machines using
    intel_pstate driver

  [ Andrius Semionovas ]
  * Fix crash due external battery of mouse

  [ Jae-hyeon Park ]
  * Respect black/white lists when disabling autosuspend

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 11 Jan 2020 15:51:40 +0530

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Homepage: http://github.com/rickysarraf/laptop-mode-tools
+Homepage: https://github.com/rickysarraf/laptop-mode-tools
 Uploaders: Bart Samwel <bart@samwel.tk>
-Build-Depends: debhelper (>= 9), dh-systemd
+Build-Depends: debhelper (>= 11), dpkg (>= 1.16.1)
 Standards-Version: 3.9.8
 
 Package: laptop-mode-tools
 Architecture: all
 Depends: ${misc:Depends}, lsb-base (>= 3.0-10), util-linux (>= 2.13), psmisc
-Recommends: hdparm, sdparm, ethtool, net-tools, wireless-tools, udev, python-qt4
+Recommends: hdparm, sdparm, ethtool, net-tools, wireless-tools, udev, python3-pyqt5, rfkill
 Suggests: acpid | apmd | pbbuttonsd | pmud
 Conflicts: noflushd
 Description: Tools for Power Savings based on battery/AC status

=== debian/rules ===
--- 
+++ 
@@ -52,15 +52,12 @@
 
 	# Add here commands to install the package into debian/laptop-mode-tools.
 	install -m755 -d $(DESTDIR)/etc/laptop-mode
-	install -m755 -d $(DESTDIR)/etc/acpi/events
-	install -m755 -d $(DESTDIR)/etc/acpi/actions
 	install -m755 -d $(DESTDIR)/usr/sbin
 	install -m755 -d $(DESTDIR)/usr/share/applications
 	install -m755 -d $(DESTDIR)/usr/share/pixmaps
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/modules
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
 	install -m755 -d $(DESTDIR)/usr/lib/tmpfiles.d
-	install -m755 -d $(DESTDIR)/etc/apm/event.d
 	install -m755 -d $(DESTDIR)/etc/power/scripts.d
 	install -m755 -d $(DESTDIR)/etc/power/event.d
 	install -m755 -d $(DESTDIR)/lib/udev/rules.d
@@ -76,9 +73,6 @@
 	install -m755 -d $(DESTDIR)/etc/laptop-mode/modules
 	install -m644 etc/laptop-mode/laptop-mode.conf $(DESTDIR)/etc/laptop-mode/laptop-mode.conf
 	install -m644 etc/laptop-mode/conf.d/* $(DESTDIR)/etc/laptop-mode/conf.d
-	install -m755 etc/acpi/actions/* $(DESTDIR)/etc/acpi/actions
-	install -m644 etc/acpi/events/* $(DESTDIR)/etc/acpi/events
-	install -m755 etc/apm/event.d/* $(DESTDIR)/etc/apm/event.d
 	install -m755 etc/power/scripts.d/* $(DESTDIR)/etc/power/scripts.d
 	install -m755 etc/power/event.d/* $(DESTDIR)/etc/power/event.d
 	install -m644 etc/rules/99-laptop-mode.rules $(DESTDIR)/lib/udev/rules.d

## laptop-mode-tools 1.74

=== Makefile ===

default:
	@echo "Please specify a make target: install, clean, version."
	
clean:
	rm -f `find . -name \*~`

# Get the version from usr/sbin/laptop_mode.
VERSION :=$(shell cat usr/sbin/laptop_mode | grep "LMTVERSION=" | sed 's/LMTVERSION=//g')

version:
	@echo $(VERSION)

install:
	./install.sh

=== debian/changelog ===
laptop-mode-tools (1.74-2) unstable; urgency=medium

  * Team upload.
  * lintian-overrides: remove due to outdated tag
  * Move package to Debian team on Salsa
  * debhelper-compat=13
  * Depends: lsb-release (instead of obsolete package lsb-base)
  * cme fix dpkg-control
  * d/control: Add Pre-Depends: ${misc:Pre-Depends}
  * d/watch: Fix template
  * d/copyright: Fix Source URL
  * Remove outdated debian/README.source and basically redundant
    get-orig-source target in d/rules.
  * d/rules: Use install.sh instead of duplicated install commands
    Closes: #703163
  * d/rules: Switch to short dh
  * Remove Bart Samwel from Uploaders since email is bouncing

 -- Andreas Tille <tille@debian.org>  Fri, 25 Jul 2025 08:05:52 +0200

laptop-mode-tools (1.74-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd/udev files into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 10:23:35 +0200

laptop-mode-tools (1.74-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Delegate placement of systemd/udev files to pkg-config data (Closes:
    #1057824)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 09 Dec 2023 00:28:36 +0100

laptop-mode-tools (1.74-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:13:49 +0200

laptop-mode-tools (1.74-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #970493)

 -- Paul Gevers <elbrus@debian.org>  Thu, 17 Sep 2020 11:01:11 +0200

laptop-mode-tools (1.74-1) unstable; urgency=medium

  * Laptop Mode Toosl version 1.74
  * Drop unlock because there is no lock acquired
  * Add execute bit on module radeon-dpm
  * Add board-specific folder and documentation
  * Disable ethernet module by default
  * Log the debug message first because in non_systemd_way, the
    program exits already
  * Add power saving module for nouveau cards
  * Initialize LM_VERBOSE with default to disabled
  * Disable defaults for syslog logging
  * With 4.15+ kernels, Linux Intel SATA has a better link power saving
    policy, med_power_with_dipm, which should be the recommended one to
    use
  * Drop all patches. Applied upstream and not needed any more

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 18 Jul 2020 20:19:42 +0530

laptop-mode-tools (1.73.1-3) unstable; urgency=medium

  * Add board specific directory
  * Clean initialze patches with gbp pq
  * Donot drop a lock when there was never a lock acquired
  * Add a README.Board-Specific file

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 04 Jun 2020 21:48:24 +0530

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,29 @@
 Source: laptop-mode-tools
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               pkgconf,
+               systemd-dev
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/laptop-mode-tools
+Vcs-Git: https://salsa.debian.org/debian/laptop-mode-tools.git
 Homepage: https://github.com/rickysarraf/laptop-mode-tools
-Uploaders: Bart Samwel <bart@samwel.tk>
-Build-Depends: debhelper (>= 11), dpkg (>= 1.16.1)
-Standards-Version: 3.9.8
 
 Package: laptop-mode-tools
 Architecture: all
-Depends: ${misc:Depends}, lsb-base (>= 3.0-10), util-linux (>= 2.13), psmisc
-Recommends: hdparm, sdparm, ethtool, net-tools, wireless-tools, udev, python3-pyqt5, rfkill
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         lsb-release,
+         psmisc
+Recommends: hdparm,
+            sdparm,
+            ethtool,
+            net-tools,
+            wireless-tools,
+            udev,
+            python3-pyqt5,
+            rfkill
 Suggests: acpid | apmd | pbbuttonsd | pmud
 Conflicts: noflushd
 Description: Tools for Power Savings based on battery/AC status
@@ -28,4 +40,3 @@
  .
  laptop-mode-tools uses the Linux kernel's Laptop Mode feature and thus
  is also used on Desktops and Servers to conserve power
-

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd)
deb_udevdir = $(shell pkg-config --variable=udevdir udev)

DESTDIR=$(CURDIR)/debian/laptop-mode-tools
INSTALL=install -o root -g root

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure
	cp etc/init.d/laptop-mode debian/laptop-mode-tools.laptop-mode.init

override_dh_auto_install:
	DESTDIR=$(DESTDIR) INSTALL=install MAN_D=/usr/share/man LIB_D=/usr/lib ./install.sh

override_dh_installchangelogs:
	dh_installchangelogs Documentation/revision-history.txt

override_dh_installinit:
	dh_installinit --name laptop-mode -- defaults 99

override_dh_installmenu:
	# This file was not installed in old debhelper code
	# The menu file provided contains the wrong path (/usr/bin instead of /usr/sbin)
	# Not sure whether it is really worth adding a dependency from gksu or PolicyKit.
	echo "Do not install debian/menu"

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
  https://github.com/rickysarraf/laptop-mode-tools/tags .*/v?(\d\S+)\.tar\.gz
